Subject: Re: [Simple] comments on rpids-01 <activity>, <idlesince>

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 17:18:08 -0400

> In case I understood Hisham's comment correctly (correct me, Hisham,
> if I'm wrong), it is more about the possible need for both or at
> least the different meaning of both, i.e., <idlesince> and <activity>
> do not represent the same thing. This is because an <activity> that
> is related to the communication ability of the user with the
> particular device is not necessarily bound to the time the particular
> device has been in idle mode, since not necessarily all activities
> that influence my communication ability are related to the device
> directly.
> 
> The mobile phone, as pointed out by Hisham, is a very good example.
> Most of the time (hopefully) in idle mode, the user is still able and
> willing to communicate. However, certain "activities" indeed may
> influence my communication ability and, hence, might be worthwhile to
>  communicate to others through my (phone) presence.

I'm afraid I'm losing you here. For the cellphone case, the <idlesince> 
indicates when you last used the cellphone, providing a hint as to 
whether you are likely to be near the phone, for example.

The activity indication (sleeping, driving, etc.) is completely 
separate. Just to avoid misunderstandings, what exactly are you 
referring to as activity?

> 
> But even more, the source for <activity> and <idlesince> could be
> different. <idlesince> is certainly bound to the phone, while the
> <activity> element can be determined through other means and devices.
>  For instance, my current activity on the desktop could influence my
> communication ability/willingness. Hence, it is the desktop which
> could set (one) particular value for <activity>.
> 
> Do we want to cover something like this?

I'm confused; RPIDS already has an indication of what the user is doing. 
  This used to be called <category>; based on Jon's comment, I now 
re-labeled this element as <activity>, since that's a more obvious 
label. This element contains things like on-the-phone, away, 
appointment, holiday, meal, meeting, steering, etc. as 'reserved words', 
plus additional indications. Can you give a concrete example what 
indication you have in mind?

Note that there is a separate draft, 
draft-rosenberg-peterson-simple-pidf-phone-00.txt, that describes the 
detailed state of the phone as a device.

Henning

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: [email-masked]
Date: Fri, 27 Jun 2003 17:10:43 -0400

Hi Henning,

comment inline
>-----Original Message-----
>From: ext Henning Schulzrinne [mailto:[email-masked]]
>Sent: Friday, June 27, 2003 11:53 AM
>To: Khartabil Hisham (NMP/Helsinki)
>Cc: [email-masked]; [email-masked]
>Subject: Re: [Simple] comments on rpids-01 <activity>, <idlesince>
>
>
>Not all elements will be appropriate for all types of services or 
>devices. To pick on something outside RPIDS 01: it is unclear that 
>geoloc or media would be appropriate for all kinds of tuples.
>
>As noted earlier, the <idlesince> indication does not intend 
>to provide 
>a clue as to whether the device is OPEN or CLOSED - we have this 
>already. It provides additional hints to the watcher as to 
>which device 
>is more likely to be "staffed". Combinations of <idlesince> with both 
>OPEN and CLOSED are quite plausible, I think.
>
>My current preference is to have only <idlesince>. For 
>privacy, an empty 
>element meaning indicates device has been idle (unused) for some 
>unspecified time. I think this makes the logic a bit simpler.

In case I understood Hisham's comment correctly (correct me, Hisham, if I'm wrong),
it is more about the possible need for both or at least the different meaning of both, i.e., 
<idlesince> and <activity> do not represent the same thing. This is because an <activity> 
that is related to the communication ability of the user with the particular device is not 
necessarily bound to the time the particular device has been in idle mode, since not necessarily all 
activities that influence my communication ability are related to the device directly. 

The mobile phone, as pointed out by Hisham, is a very good example. Most
of the time (hopefully) in idle mode, the user is still able and willing to communicate. However, certain "activities" indeed may influence my communication ability and, hence, might be worthwhile to 
communicate to others through my (phone) presence.

But even more, the source for <activity> and <idlesince> could be different. <idlesince> is certainly
bound to the phone, while the <activity> element can be determined through other means and devices. 
For instance, my current activity on the desktop could influence my communication ability/willingness.
Hence, it is the desktop which could set (one) particular value for <activity>.

Dirk
>
>[email-masked] wrote:
>
>> I think the current definition of <activity> is to represent my
>> current interaction with a device (if I'm using the device currently
>> or not). Something like <in-use>. I think this is the wrong
>> definition. The examples in the I-D describing the element certainly
>> elude to this.
>> 
>> Most of the time, my mobile phone sits by my side. It can be idle for
>> hours and without any activity. This does not give a true
>> representation of my ability to receive calls on it. This is
>> different from me being away from my PC for hours without any
>> activity. In this case, a true representation of my ability to
>> receive calls on it is possible.
>> 
>> What I believe the <activity> element should represent is user's
>> ability to answer calls (or receive any other media, or whatever) on
>> that device. One could argue that OPEN and CLOSED are sufficient
>> enough for this. Else, you need an element like
>> <current-communication-ability> (a better name is needed here, but
>> couldn't think of one from the top of my head).
>> 
>> Another issue with <activity> that I would like to bring up: It only
>> talks about a device. I would like to know the meaning on this
>> element when a tuple does not represent a device (a different
>> <contact-type>.
>> 
>> Regards, Hisham
>> 
>
>
>

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 17:18:08 -0400

Henning